Bug 146949 - No USB and no PCMCIA on Averatec C3500
No USB and no PCMCIA on Averatec C3500
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
http://www.steyla.com/averatec.html
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-02 17:34 EST by Michaela Merz
Modified: 2015-01-04 17:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:16:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
DMESG from linux-2.6.11-rc3-mm1 (30.88 KB, text/plain)
2005-02-04 16:04 EST, Michaela Merz
no flags Details

  None (edit)
Description Michaela Merz 2005-02-02 17:34:40 EST
Description of problem:

On an AVERATEC C3500 with Bios Version TH11v1.0 Date: 10/11/04
neiter USB nor PCMCIA are working. With BIOS version TH110.2
those errors will not be found. In addition, the later BIOS
needs nomce to boot. 

Version-Release number of selected component (if applicable):

kernel-2.6.5 (panic on boot), kernel-2.6.9, kernel-2.6.10
kernel-2.6.10-1.9_FC2 and kernel-2.6.11-rc2 (panic on boot)

How reproducible:

Just boot.

Steps to Reproduce:
1. boot
2.
3.
  
Actual results:

USB 1.0 and USB 2.0 not working. PCMCIA not working.

Expected results:

USB 1.0 and USB 2.0 should work as well as PCMCIA

Additional info:

I tried with and without ACPI (even build a kernel without it),
compiled a DSDT file from a working BIOS into my kernel and tried
almost every boot parameter (i.e. pci=bios, pci=routeirq etc.) without
any success.
Comment 1 Michaela Merz 2005-02-02 17:36:20 EST
Since this problem will affect a lot of users in the future (AVERATECs
are sold like crazy), I have posted all information available to the
following website: http://www.steyla.com/averatec.html.

On this website, I have /var/log/dmesg logs (with the same kernel),
lspci -vv and dsdt.dsl outputs for both machines, a *working* version
with BIOS TH11v0.2h and my computer with the new BIOS version TH11v1.0
without USB/PCMCIA support. Maybe some of you guys is able to point
out the differences between both machines and why everything is fine
on one computer and snafu on the other computer. 
Comment 2 Michaela Merz 2005-02-04 16:04:47 EST
Created attachment 110669 [details]
DMESG from linux-2.6.11-rc3-mm1
Comment 3 Dave Jones 2005-07-15 14:37:42 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 4 Kjartan Maraas 2005-08-25 07:30:40 EDT
I'm seeing this here too with the latest rawhide kernels on my HP nc4010. The
last kernel that worked for me was 2.6.12-1.1456_FC5. I haven't tried acpi=off
yet, but I can do that if needed. Can I hijack this bugreport and change the
subject to be more general?
Comment 5 Kjartan Maraas 2005-08-25 07:31:43 EDT
Forgot to add myself to Cc
Comment 6 Dave Jones 2006-01-16 17:13:09 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 7 Dave Jones 2006-02-03 00:54:40 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 8 John Thacker 2006-05-04 09:16:47 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.